plot.hazdata {eha} | R Documentation

## Plots of survivor functions.

### Description

Baseline hazards estimates.

### Usage

    ## S3 method for class 'hazdata'
    plot(x, strata = NULL, fn = c("cum", "surv", "log",
      "loglog"), fig = TRUE, xlim = NULL, ylim = NULL, main = NULL,
      xlab = NULL, ylab = NULL, col = "black", lty = 1,
      printLegend = TRUE, where = NULL, ...)

### Arguments

`x` | A `hazdata` object, typically the 'hazards' element in the output from `link{coxreg}` with `hazards = TRUE`.
`strata` | Stratum names if there are strata present.
`fn` | Which type of plot?
`fig` | Should a plot actually be produced? Default is TRUE.
`xlim` | Horizontal plot limits. If NULL, calculated by the function.
`ylim` | Vertical plot limits. If NULL, set to `c(0, 1)`
`main` | A heading for the plot.
`xlab` | Label on the x axis.
`ylab` | Label on the y-axis.
`col` | Color of the lines. May be a vector of length equal to No. of strata.
`lty` | Line type(s). May be a vector of length equal to No. of strata.
`printLegend` | Logical; should a legend be produced? Defaults to TRUE.
`where` | Where should the legend be placed (if(printLegend))? If `NULL`, "bottomleft" for fn = "surv", otherwise "bottomright".
`...` | Anything that `plot.default` likes...

### Details

It is also possible to have as first argument an object of type "coxreg", given that it contains a component of type "hazdata".

### Value

A list where the elements are two-column matrices, one for each stratum in the model. The first column contains risktimes, and the second the y coordinates for the requested curve(s).

### Author(s)

Göran Broström

### Examples

    time0 <- numeric(50)
    group <- c(rep(0, 25), rep(1, 25))
    time1 <- rexp( 50, exp(group) )
    event <- rep(1, 50)
    fit <- coxreg(Surv(time0, time1, event) ~ strata(group), hazards = TRUE)
    plot(fit$hazards)

[Package eha version 2.6.0 Index]